
#  Michael S. Briggs, University of Alabama in Huntsville, 2011 -- 2016.


#  Locations of libraries and include files.

# directory of libcfitsio:
CFITSIO_LIB=/opt/local/lib

# directory of fitsio.h
CFITS_INCL=/opt/local/include

# top directory of dislin install:
DISLIN_PATH=/usr/local/dislin/

# director of libXm of OpenMotif
MOTIF_LIB=/opt/local/lib


#  The directory of the compilers, if they are in a non-standard
#  location.  You can leave this blank if this is not needed.
#  If needed, and the C and Fortran compilers are in different
#  directories, include the paths in the the command names C_CMD and
#  FORT_CMD.

CMD_SEARCH_PATH=""
#CMD_SEARCH_PATH="/opt/local/bin/"


#  Symbols for commands for the C & Fortran compilers on your computer:

C_CMD="gcc"
#C_CMD="gcc-mp-5"

FORT_CMD="gfortran"
#FORT_CMD="gfortran-mp-5"



# -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
#       NORMALLY YOU WILL NOT NEED TO EDIT BELOW THIS LINE!
# -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

#   It is assumed that all compile commands accept option "-c" to
#   produce only an object file without proceeding to linking.
#   Also that they accept option "-o" to name the output file.
#   Some scripts also use "-Dxxx" option(s) to pass flags xxx.

#  WARNING !!  WARNING !!
#    Bugs have been observed in programs compiled at optimization levels O2 and O3.
#    The "DEBUG" and "NOOPT" versions are STRONGLY RECOMMENDED.

# -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

#  C compiler, non-optimized:
CC_NOOPT="${CMD_SEARCH_PATH}${C_CMD}  -O0  -std=c99"

#  C compiler, debugging options:
CC_DEBUG="${CMD_SEARCH_PATH}${C_CMD}  -O2  -std=c99  -pedantic  -Wall   \
-Wcast-qual  -Wpointer-arith  -Wstrict-prototypes"


# -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --


#   We use the GNU extension C_FLOAT128 and so can no longer specify -std=f2008.
#   This extension could be replaced with C_LONG_DOUBLE?


#   Fortran 95 / 2008, not-optimized:
F95_NOOPT="${CMD_SEARCH_PATH}${FORT_CMD}  -O0  -fimplicit-none  -Wline-truncation"


#   Fortran 95 / 2008 with debug options:
F95_DEBUG="${CMD_SEARCH_PATH}${FORT_CMD}   -O0  -fimplicit-none  -Wall  -Wline-truncation  \
-Wcharacter-truncation  -Wsurprising  -Waliasing  -Wimplicit-interface  -Wunused-parameter  \
-pedantic  -fcheck=all  -fbacktrace"



# -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
