//  Copyright Michael S. Briggs, University of Alabama in Huntsville.
//  For NASA's Fermi Gamma-ray Burst Monitor (GBM).
//  2008 -- 2016.

//  #define symbols:

#define  DET_NUMBER   14

#define  FILE_NAME_MAX_LEN  200

#define  NUM_SPEC_CHAN   128LL


//  function prototypes:

void  Read_Lvl1_TTE (

   char InputFileName [FILE_NAME_MAX_LEN],
   long int  DetNum,
   double  * FileStartTime_ptr,         // time range of file.  FITS keywords TSTART & TSTOP
   double  * FileStopTime_ptr,
   double  * TriggerTime_ptr,           // pointer to scaler -- read only if requested via Read_TriggerTime
   long int * Num_TTE_ptr,              // pointer to scaler
   char * DataSum_ptr,                  // pointer to char array of length 11
   short int **  tte_chan_ptr_to_ptr,   // pointer to pointer to variable length array
   double    **  tte_time_ptr_to_ptr,
   float  * EMin_of_chan_ptr,           // pointer to array of length NUM_SPEC_CHAN
   float  * EMax_of_chan_ptr

);


void  Cleanup_TTE_FitsFile (

   long int  DetNum

);


